- Home
- API Enriched
- Support
- web
- Tax exemption verification request.
Tax exemption verification request.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/customer_support/tax_exempt_request';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"attachments":[{"attachment":"example","content_type":"example","filename":"example","tp_id":"example"}],"request_description":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/customer_support/tax_exempt_request \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "attachments": [ { "attachment": "example", "content_type": "example", "filename": "example", "tp_id": "example" } ], "request_description": "example" }'Raises a tax exemption verification request. This will ultimately create a support ticket and assign it to our billing department. If verified and approved then the customer will not be levied sale taxes.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Provides ability to request tax status of the customer, eventually flagging them as tax exempt (U.S. Only)
object
Information about any attachments (such as screenshots, plain text files) to support the tax exemption review request.
Attachment represents a single support ticket comment attachment. Attachment are normally not store with the ticket itself, they represent a handle in the third party, so the contact can be retrieved omn demand.
object
Any binary attachment (such as screenshots, plain text files, PDFs) encoded as base64 if used over HTTP.
Mime content type of the attachment. Helps the UI to properly display the data.
Filename of the attachment as provided by the caller.
Optional ID as assigned by the 3rd party actually storing the data.
Description introducing reasons for tax exemption status verification.
Examplegenerated
{ "attachments": [ { "attachment": "example", "content_type": "example", "filename": "example", "tp_id": "example" } ], "request_description": "example"}Responses
Section titled “Responses”A successful response.
Any error that may occurred during tax status verification request. Note that the verification process itself takes a lot of time (days) - this message only indicates the reception of the request.
object
X-displayName : “Name” name of the ticket created on the back of the request.
Example
{ "err": "EUNKNOWN"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example